import 'package:http/http.dart' as http;
import 'package:http/http.dart';

import '../../nextcloud_ocs.dart';
import '../talk_api.dart';
import 'get_chat_params.dart';
import 'get_chat_response.dart';

class GetChat extends TalkApi<GetChatResponse> {
  String chatToken;

  GetChatParams params;
  GetChat(this.chatToken, this.params)
    : super('v1/chat/$chatToken', null, getParameters: params.toJson());

  @override
  GetChatResponse assemble(String raw) =>
      GetChatResponse.fromJson(NextcloudOcs.decode(raw));

  @override
  Future<Response> request(
    Uri uri,
    Object? body,
    Map<String, String>? headers,
  ) => http.get(uri, headers: headers);
}
